<?php

//incluyendo los achivos de conexion y gestor de archivo//
//conexion a la base de datos
$servername = "localhost";
$username = "root";
$password = "";
$database = "tea";

$conectado = new mysqli($servername, $username, $password, $database);


if ($conectado->connect_error) {
  die("Error de conexión: " . $conectado->connect_error);
}
if ($_SERVER["REQUEST_METHOD"] == "POST") {

  $nombre = $_POST['Nombre'];
  $contrasena = $_POST['contrasena'];

  $consulta = $conectado->prepare("SELECT * FROM usuario WHERE nombre = '${nombre}' AND contrasena = '${contrasena}'");
 
  $consulta->execute();

  $resultado = $consulta->get_result();


  if ($resultado->num_rows == TRUE) {
      $fila = $resultado->fetch_assoc();
      session_start();
      $_SESSION['id'] = $fila['id'];
      $_SESSION['Nombre'] = $fila['Nombre'];
      $_SESSION['gmail'] = $fila['gmail'];
      $_SESSION['contrasena'] = $fila['contrasena'];
      if ($fila['tipousuario'] == 'administrador') {
        header("Location: carrito2.php");
      } else {
        header("Location: index.php");
      } 
      exit();
  }
  else{
    echo "algo esta incorrecto";
  }
  $consulta->close();
}

$conectado->close();

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Inicio</title>
    <link rel="stylesheet" href="Estilos/inicio.css">

    <style>

.chat-icon {
    position: fixed;
    bottom: 20px; /* Distancia desde la parte inferior */
    right: 20px; /* Distancia desde el lado derecho */
    background-color: #3056C4;
    color: #ffffff;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    transition: transform 0.3s ease;
}

.chat-icon:hover {
    transform: scale(1.1); /* Efecto de escala al pasar el mouse */
}

    </style>


</head>
<body>

    <div class="wrapper fadeInDown">
        <div id="formContent">
          <h2 class="active"> Iniciar sesion </h2>
         <a href="registrar.php"> <h2 class="inactive underlineHover">Registrate </h2></a>
      
          
          <div class="fadeIn first">
            <svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" fill="currentColor" class="bi bi-person-circle" viewBox="0 0 16 16">
                <path d="M11 6a3 3 0 1 1-6 0 3 3 0 0 1 6 0z"/>
                <path fill-rule="evenodd" d="M0 8a8 8 0 1 1 16 0A8 8 0 0 1 0 8zm8-7a7 7 0 0 0-5.468 11.37C3.242 11.226 4.805 10 8 10s4.757 1.225 5.468 2.37A7 7 0 0 0 8 1z"/>
              </svg>
          </div>

          
          <form method="POST" action="" onsubmit="return validar()">
            <input type="text" id="login" class="fadeIn second" name="Nombre" placeholder="Usuario" style="text-align: left;">
            <input type="password" id="password" class="fadeIn third" name="contrasena" placeholder="Contrasena "  style="text-align: left;">
            <input type="submit" class="fadeIn fourth" value="Iniciar">
          </form>
      
          
          <div id="formFooter">
            <a class="underlineHover" href="#">No tienes cuenta?</a>
          </div>
      
        </div>
      </div>
      <script src="Javas/iniciar.js"></script>
      <div class="chat-icon">
    <?php include("boticon.php") ?>
    </div>
</body>
</html>


